Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.awt
Interface ItemSelectable

All Known Subinterfaces:
  ButtonModel

All Known Implementing Classes:
  AbstractButton, Checkbox, CheckboxMenuItem, Choice, DefaultButtonModel, JComboBox, List

public interface ItemSelectable

The interface for objects which contain a set of items for which zero or more can be selected.

Method Summary
`void` | `addItemListener(ItemListener l)` Adds a listener to receive item events when the state of an item is changed by the user.
`Object[]` | `getSelectedObjects()` Returns the selected items or `null` if no items are selected.
`void` | `removeItemListener(ItemListener l)` Removes an item listener.

Method Detail

### getSelectedObjects

    public Object[] getSelectedObjects()

  Returns the selected items or `null` if no items are selected.

### addItemListener

    public void addItemListener(ItemListener l)

  Adds a listener to receive item events when the state of an item is changed by the user. Item events are not sent when an item's state is set programmatically. If `l` is `null`, no exception is thrown and no action is performed.

  Parameters:
    `l` - the listener to receive events
  See Also:
    `ItemEvent`

### removeItemListener

    public void removeItemListener(ItemListener l)

  Removes an item listener. If `l` is `null`, no exception is thrown and no action is performed.

  Parameters:
    `l` - the listener being removed
  See Also:
    `ItemEvent`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2003 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.